Summary: 	A utility for retrieving files using the HTTP or FTP protocols
Name: 		wget
Version: 	1.18
Release: 	%mkrel 1
Group: 		Networking/WWW
License: 	GPLv3
URL: 		http://www.gnu.org/directory/GNU/wget.html
Source0:	http://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.xz
#----------------------------------
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}idn-devel
BuildRequires: %{_lib}pcre0-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires:	gettext
BuildRequires:	openssl-devel
#----------------------------------
Provides: 	webclient webfetch
Requires(pre):	info-install
Requires(post):	info-install

%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP
protocols. Wget features include the ability to work in the background
while you're logged out, recursive retrieval of directories, file name
wildcard matching, remote file timestamp storage and comparison, use of
Rest with FTP servers and Range with HTTP servers to retrieve files over
slow or unstable connections, support for Proxy servers, and
configurability.

%prep
%setup -q


%build
if pkg-config openssl ; then
    CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
    LDFLAGS=`pkg-config --libs openssl`; export LDFLAGS
fi
%configure2_5x --with-ssl=openssl --enable-largefile --enable-opie --enable-digest --enable-ntlm --enable-nls --enable-ipv6 --disable-rpath

%make

%install
rm -rf %buildroot
make install DESTDIR=%buildroot CFLAGS="$RPM_OPT_FLAGS"
rm -f %buildroot/%{_infodir}/dir

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/wgetrc
%{_mandir}/man1/wget.*
%{_bindir}/wget
%{_infodir}/*

%changelog
* Thu Jun 09 2016 bb <bb> 1.18-1pclos2016
- update

* Wed Mar 02 2016 bb <bb> 1.17.1-2pclos2016
- rebuild against updated openssl

* Sat Dec 19 2015 bb <bb> 1.17.1-1pclos2015
- update

